MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sc::DescribedClass Class Reference

Classes which need runtime information about themselves and their relationship to other classes can virtually inherit from DescribedClass. More...

`#include <class.h>`

Inheritance diagram for sc::DescribedClass:
[legend]
Collaboration diagram for sc::DescribedClass:
[legend]

## Public Member Functions
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members
Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Detailed Description

Classes which need runtime information about themselves and their relationship to other classes can virtually inherit from DescribedClass.

This will provide the class with the ability to query its name and its version. Furthermore, the class's static ClassDesc can be obtained which permits several other operations. See The Described Class Library for more information.

## Member Function Documentation

ClassDesc* sc::DescribedClass::class_desc | ( |  | ) | const throw ()

This returns the unique pointer to the ClassDesc corresponding to the given type_info object.

Null is returned if it fails.

The documentation for this class was generated from the following file:

- class.h